none
Is IIS 7 a requirement for HIS 2010 on Windows Server 2003? RRS feed

  • Question

  • Folks,

    I have a question regarding the system requirement for HIS 2010. We are upgrading HIS 2000 & HIS 2006 to HIS 2010 on our servers. The current operating system on the servers is Windows Server 2003 Enterprise Edition SP2. I have gone through the HIS 2010 Installation guide and the BizTalk Server 2010 System requirement. HIS 2010 doesn't say anything about IIS 7 where as IIS 7 is a must for BizTalk 2010.

    We'll be using Application Integration on HIS 2010. Does this mean we must have IIS 7 on Windows Server 2003 (not possible)? So far I have installed SQL Server 2008 R2 and HIS 2010 on the Windows Server 2003.

    Upgrading to Windows Server 2008 is a better solution or Win Server 2003 will work just fine?I'm confused.

    Thanks in advance.

    Wednesday, June 20, 2012 9:03 PM

Answers

  • The Overview Doc shows the latest versions of everything. It is not a requirement. Be aware that Transaction Integrator (TI or Application Integration) no longer supports the following:

    • Transaction Integrator support for Component Object Model (COM) libraries has been removed from Host Integration Server. You should use the Transaction Integrator Designer to convert COM type libraries to .NET assemblies, and then re-deploy the components.
    • Transaction Integrator support for .NET Remoting has been removed from Host Integration Server. You should use the HIS support for direct .NET calls.

    Stephen Jackson - MSFT

    • Marked as answer by pKishore Friday, June 22, 2012 3:07 PM
    Thursday, June 21, 2012 10:29 PM

All replies

  • IIS 7 is not a requirement for HIS 2010.

    Thanks...


    Stephen Jackson - MSFT

    Thursday, June 21, 2012 1:46 PM
  • Thank you Stephen for your reply. After playing with HIS 2010 it's clear that IIS 7 is not a requirement.

    However we have classic ASP/VB6.0, .NET 2003/2005 and Mainframe applications running on the Windows 2003 server and the Database is DB2. We use CICS for Login purposes. We are also upgrading to VS 2010 (framework upgrade). The HIS 2010 overview document shows IIS 7 & Windows Server 2008 as a requirement for CICS connectivity. That's where the confusion arose. So I'm I correct assuming that IIS 7.0 is not required in the above mentioned scenario?

    Thanks,

    Kishore

    Thursday, June 21, 2012 4:10 PM
  • The Overview Doc shows the latest versions of everything. It is not a requirement. Be aware that Transaction Integrator (TI or Application Integration) no longer supports the following:

    • Transaction Integrator support for Component Object Model (COM) libraries has been removed from Host Integration Server. You should use the Transaction Integrator Designer to convert COM type libraries to .NET assemblies, and then re-deploy the components.
    • Transaction Integrator support for .NET Remoting has been removed from Host Integration Server. You should use the HIS support for direct .NET calls.

    Stephen Jackson - MSFT

    • Marked as answer by pKishore Friday, June 22, 2012 3:07 PM
    Thursday, June 21, 2012 10:29 PM